DNF4-DOWNLOAD(8)

BEZEICHNUNG
dnf4-download - Download-Plugin von DNF

Binär- oder Quellpakete herunterladen.

ÜBERSICHT

dnf download [Optionen] <Paket> …

ARGUMENTE

    <Paketspez>
        Angabe des herunterzuladenden Pakets. Auch lokale RPM-Pakete können angegeben werden. Dies ist mit der Option --source nützlich oder wenn Sie ein RPM-Paket erneut herunterladen wollen.

OPTIONEN

Alle allgemeinen DNF-Optionen werden akzeptiert, siehe Optionen in dnf(8) für Details.

    --help-cmd
        zeigt die Hilfe an.

    --arch <Architektur>[,<Architektur> …]
        begrenzt die Abfrage auf Pakete der angegebenen Architekturen (standardmäßig werden alle Architekturen berücksichtigt, die zu Ihrem System kompatibel sind). Um Pakete herunterzuladen, deren Architektur zu Ihrem System inkompatibel ist, verwenden Sie die Option --forcearch=<Architektur>, um die Basisarchitektur zu ändern.

    --source
        lädt das Quell-RPM-Paket herunter. Dadurch werden die Quell-Paketquellen aller aktivierten Binärpaketquellen zusätzlich aktiviert.

    --debuginfo
        lädt das Debuginfo-Paket herunter. Dadurch werden die Debuginfo-Paketquellen aller aktivierten Binärpaketquellen zusätzlich aktiviert.

    --downloaddir
        gibt das Downloadverzeichnis an. Standardmäßig ist dies das aktuelle Verzeichnis (das Verzeichnis muss existieren).

    --url
        listet nur die URLs auf, von denen RPM-Pakete heruntergeladen werden können, lädt aber keine RPMs herunter.

    --urlprotocol
        begrenzt das Protokoll der mit der Option --url ausgegebenen URLs. Optionen sind http, https, rsync, ftp.

    --resolve
        löst die Abhängigkeiten der angegebenen Pakete auf und lädt im System fehlende Abhängigkeiten herunter.

    --alldeps
        lädt bei Verwendung mit --resolve alle Abhängigkeiten herunter (und überspringt dabei bereits installierte Pakete nicht).

BEISPIELE

    dnf download dnf
        lädt das aktuellste dnf-Paket in das aktuelle Verzeichnis herunter.

    dnf download --url dnf
        gibt nur die ferne URL aus, von der das dnf-Paket heruntergeladen werden kann.

    dnf download --url --urlprotocols=https --urlprotocols=rsync dnf
        ist das Gleiche wie oben, aber begrenzt die URLs auf die Protokolle https oder rsync.

    dnf download dnf --destdir /tmp/dnl
        lädt das aktuellste dnf-Paket in das Verzeichnis /tmp/dnl herunter (das Verzeichnis muss existieren).

    dnf download dnf --source
        lädt das aktuellste dnf-Quellpaket in das aktuelle Verzeichnis herunter.

    dnf download rpm --debuginfo
        lädt das aktuellste rpm-Debuginfo-Paket in das aktuelle Verzeichnis herunter.

    dnf download btanks --resolve
        lädt das aktuellste btanks-Paket und die noch nicht installierten Abhängigkeiten in das aktuelle Verzeichnis herunter.

AUTOR
Siehe AUTHORS im Paket der Core-DNF-Plugins.

COPYRIGHT
2014, Red Hat, lizenziert unter GPLv2+

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer (debian-l10n-german@lists.debian.org).